body {
    background-color: #f8f4e6;
    color: #030303;
}

header {
    position: relative;
    margin: 0px 0px;
}

main {
    margin: 0px 20px;
}

a, a:link, a:visited, a:hover, a:active {
    color: #030303;
    text-decoration: none;
}

.title {
    height: 60px;
    margin: 10px 30px;
}

#menu-btn-check {
    display: none;
}

.menu-content {
    display: none;
}

.search-div {
    margin-right: 32px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: right;
}

.search-input {
    font-family: "Segoe UI", Roboto, system-ui;
    border: 2px solid #2f4f4f;
    background-color: #ffffff;
    border-radius: 5px 0 0 5px;
    height: 36px;
    padding-left: 10px;
    display: flex;
}

.search-input:focus {
    font-family: "Segoe UI", Roboto, system-ui;
    border: 2px solid #2f4f4f;
    background-color: #ffffff;
    border-radius: 5px 0 0 5px;
    height: 36px;
    padding-left: 10px;
    display: flex;
}

.search-icon {
    border-radius: 0 5px 5px 0;
    border: 2px solid #2f4f4f;
    background-color: #2f4f4f;
    background-image: url("search_icon.svg");
    background-repeat: no-repeat;
    background-position: center;
    color: #ffffff;
    height: 36px;
    width: 40px;
    padding: 0 4px;
}

span.search-match {
    background-color: #b0c4de;
}

.information {
    margin: 10px 33px;
}

.folder-icon {
    display: flex;
    align-items: center;
}

.folder-icon-a {
    display: flex;
    align-items: center;
}

.pagination {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    list-style: none;
    padding: 0px 15px;
}

.pagination-link {
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid black;
    margin: 5px;
    font-family: "Meiryo", system-ui;
}

.pagination-nolink {
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid black;
    color: #f8f4e6;
    background-color: black;
    margin: 5px;
    font-family: "Meiryo", system-ui;
}

.main {
    display: flex;
    margin: 0px 35px;
}

.left-ad-container {
    width: 200px;
    margin-right: 2rem;
}

.left-ad-sticky {
    position: sticky;
    top: 0;
}

.right-ad-sticky {
    position: sticky;
    top: 0;
}

.card-container {
    width: 100%;
}

.card {
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 16px;
    background-color: white;
    margin: 0px 0px 24px 0px;
}

.card-title {
    font-family: "Segoe UI", Roboto, system-ui;
    font-size: 1.25rem;
    word-break: break-all;
}

.card-subtitle {
    font-family: "Segoe UI", Roboto, system-ui;
    font-size: 1rem;
    margin: 2px 0px;
    word-break: break-all;
}

.card-description {
    margin-top: 0.75rem;
    background-color: #efefef;
    font-size: 1rem;
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    padding: 2px;
    word-break: break-all;
}

.category-container {
    width: 250px;
    margin-left: 2rem;
}

.category {
    list-style: none;
    padding-left: 10px;
}

.category > li {
    font-family: "Meiryo", system-ui;
}

.footer {
    color: black;
    font-family: "Segoe UI", Roboto, system-ui;
    text-decoration: none;
    text-align: center;
    margin-top: 20px;
}

a.footer, a.footer:link, a.footer:visited, a.footer:hover, a.footer:active {
    color: black;
}

.nodisplay-if-pc {
    display: none !important;
}

.ad-notice-160 {
    margin: 0px auto;
    padding: 0px;
    font-size: 0.7rem;
    width: 160px;
    font-family: "Meiryo", system-ui;
    text-align: left;
}

.ad-notice-728 {
    margin: 0px auto;
    padding: 0px;
    font-size: 0.7rem;
    width: 728px;
    font-family: "Meiryo", system-ui;
    text-align: left;
}

.ad-notice-468 {
    margin: 0px auto;
    padding: 0px;
    font-size: 0.7rem;
    width: 468px;
    font-family: "Meiryo", system-ui;
    text-align: left;
}

.ad-notice-300 {
    margin: 0px auto;
    padding: 0px;
    font-size: 0.7rem;
    width: 300px;
    font-family: "Meiryo", system-ui;
    text-align: left;
}

.verywide-landscape-ad-container {
    text-align: center;
}

.pc-landscape-ad-container {
    display: none;
}

.sp-landscape-ad-container {
    display: none;
}

@media screen and (max-width: 768px) {
    h1 {
	margin: 10px;
    }

    .menu-btn {
	position: fixed;
	top: 00px;
	right: 00px;
	display: flex;
	height: 60px;
	width: 60px;
	justify-content: center;
	align-items: center;
	z-index: 90;
	background-color: black;
    }
    
    .menu-btn span,
    .menu-btn span:before,
    .menu-btn span:after {
	content: '';
	display: block;
	height: 5px;
	width: 40px;
	border-radius: 3px;
	background-color: #ffffff;
	position: absolute;
    }
    
    .menu-btn span:before {
	bottom: 16px;
    }
    
    .menu-btn span:after {
	top: 16px;
    }
    
    #menu-btn-check:checked ~ .menu-btn span {
	background-color: rgba(255, 255, 255, 0);
    }
    #menu-btn-check:checked ~ .menu-btn span::before {
	bottom: 0;
	transform: rotate(45deg);
    }
    #menu-btn-check:checked ~ .menu-btn span::after {
	top: 0;
	transform: rotate(-45deg);
    }
    .menu-content {
	display: block;
	width: 250px;
	position: fixed;
	top: 0;
	right: -100%;
	z-index: 80;
	background-color: #f8f4e6;
	border: 3px solid black;
	color: black;
	transition: all 0.5s;
    }
    #menu-btn-check:checked ~ .menu-content {
	right: 0px;
    }
    .menu-content ul {
	padding: 70px 10px 0;
    }
    .menu-content ul li {
	list-style: none;
    }
    .menu-content ul li a {
	display: flex;
	width: 100%;
	font-family: "Meiryo", system-ui;
	/*font-size: 15px;*/
	box-sizing: border-box;
	text-decoration: none;
	/*padding: 9px 15px 10px 0;*/
	position: relative;
    }
    
    .main {
	margin: 0px 15px;
    }
    
    .category-container {
	display: none;
    }
    
    ul.pagination {
	padding: 0px;
    }
    
    .nodisplay-if-sp {
	display: none !important;
    }

    .nodisplay-if-pc {
	display: block !important;
    }

    .pc-landscape-ad-container {
	display: none !important;
    }

    .sp-landscape-ad-container {
	display: block;
	text-align: center;
	padding-left: 10px;
	margin-bottom: 15px;
    }
}

@media screen and (max-width: 1024px) {
    .left-ad-container {
	display: none;
    }
}

@media screen and (max-width: 1200px) {
    .pc-landscape-ad-container {
	display: block;
	text-align: center;
    }
    
    .verywide-landscape-ad-container {
	display: none;
    }
}
